%define upstream_name    Continuity
%define upstream_version 1.6

%global __provides_exclude perl\\(HTTP::Daemon.*\\)
# no requires from doc:
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Mix callbacks into the Continuity request object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Coro) >= 4.370.0
BuildRequires: perl(Coro::Event)
BuildRequires: perl(Event)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Daemon) >= 1.360.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-Continuity < 1.600.0-2

%description
Continuity is a library to simplify web applications. Each session is
written and runs as a persistent application, and is able to request
additional input at any time without exiting. This is significantly
different from the traditional CGI model of web applications in which a
program is restarted for each new request.

The program is passed a '$request' variable which holds the request
(including any form data) sent from the browser. In concept, this is a lot
like a '$cgi' object from CGI.pm with one very very significant difference.
At any point in the code you can call $request->next. Your program will
then suspend, waiting for the next request in the session. Since the
program doesn't actually halt, all state is preserved, including lexicals
-- getting input from the browser is then similar to doing '$line = <>' in
a command-line application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.600.0-5pclos2017
- rebuild against updates

